=== debian/changelog ===
kf5-messagelib (4:22.12.3-2~deb12u1) bookworm; urgency=medium

  * Rebuilt for bookworm.

 -- Sandro Knauß <hefee@debian.org>  Sun, 02 Jul 2023 23:21:13 +0200

kf5-messagelib (4:22.12.3-2) unstable; urgency=medium

  * Add upstream patch to search also for subkeys (Closes: #1037363).

 -- Sandro Knauß <hefee@debian.org>  Tue, 27 Jun 2023 14:09:30 +0200

kf5-messagelib (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:33:30 +0100

kf5-messagelib (4:22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:27:57 +0100
